> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketflows.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the executions of a campaign



## OpenAPI

````yaml /openapi.json get /campaigns/{id}/executions
openapi: 3.0.3
info:
  title: Pocketflows API
  version: 0.0.4
servers:
  - url: https://api.pocketflows.com
    description: Production server
security:
  - HttpBasicAuth: []
paths:
  /campaigns/{id}/executions:
    get:
      tags:
        - Executions
      summary: Get the executions of a campaign
      parameters:
        - in: path
          name: id
          schema:
            type: string
          description: The ID of the campaign
          required: true
      responses:
        '200':
          description: The executions of the campaign
          content:
            application/json:
              schema:
                type: object
                properties:
                  executions:
                    type: array
                    items:
                      $ref: '#/components/schemas/Execution'
                    description: The executions of the campaign
                required:
                  - executions
components:
  schemas:
    Execution:
      type: object
      properties:
        id:
          type: string
          description: The ID of the execution
        customer:
          type: string
          description: The customer executing through the campaign
        scheduled_at:
          type: string
          nullable: true
          description: The scheduled time for the next step to execute
        step_count:
          type: integer
          description: The index of the next step to execute
        current_step_id:
          type: string
          nullable: true
          description: The ID of the current step
        status:
          type: string
          enum:
            - pending
            - in_progress
            - retrying
            - finished
            - failed
            - stopped
          description: The status of the execution
        failed_at:
          type: string
          nullable: true
          description: The time when the execution failed in ISO 8601 format
        failed_reason:
          type: string
          nullable: true
          description: The reason the execution failed
        finished_at:
          type: string
          nullable: true
          description: The time when the execution finished in ISO 8601 format
        finished_reason:
          type: string
          nullable: true
          description: The reason the execution finished
        stopped_at:
          type: string
          nullable: true
          description: The time when the execution was stopped in ISO 8601 format
        started_at:
          type: string
          nullable: true
          description: The time when the execution started processing in ISO 8601 format
        created_at:
          type: string
          description: >-
            The time the execution was created — i.e. when the customer was
            enrolled in the campaign — in ISO 8601 format
      required:
        - id
        - customer
        - scheduled_at
        - step_count
        - current_step_id
        - status
        - failed_at
        - failed_reason
        - finished_at
        - finished_reason
        - stopped_at
        - started_at
        - created_at
      title: The Execution object
  securitySchemes:
    HttpBasicAuth:
      type: http
      scheme: basic

````